﻿a {
    text-decoration: none;
    color: dimgray;
    cursor: pointer;
}


@media (min-width: 1400px) {
    .modal-xxl {
        max-width: 1320px; /* container-xxl ile uyumlu */
    }
}

.form-control:focus {
    border-color: #ced4da !important;
    box-shadow: 0 0 0 .07rem rgba(13,110,253,.25);
    outline: none !important;
}

.form-select:focus {
    border-color: #ced4da !important;
    box-shadow: 0 0 0 .07rem rgba(13,110,253,.25);
    outline: none !important;
}


.card-title {
    font-weight: bold;
    color: orangered;
    border-bottom: 1px solid orangered;
    font-size: 24px;
}

.page-in-section {
    border: 1px solid silver;
    padding: 10px 20px 20px;
    border-radius: 5px;
    margin-bottom: 10px;
    background-color: #f9f9f9;
    /*height:100%*/
}

    .page-in-section .page-in-section-title {
        font-weight: bold;
        border-bottom: 1px solid silver;
        margin-bottom: 10px;
        padding: 10px 0;
    }

.field-area {
    margin-bottom: 4px;
}

    .field-area .field-title {
        min-width: 170px;
        align-content: center;
    }

.tab-area {
    /*border: 1px solid silver;
    padding: 15px;
    border-radius: 10px;*/
}


.page-title {
    font-size: 30px;
}

/
/* Bootstrap kapatma butonu */
.btn-close {
    background: transparent;
    border: none;
    font-size: 1.5rem;
    line-height: 1;
    cursor: pointer;
}

.page-icon {
    max-width: 70px;
}

.filter-item div:first-child {
    font-weight: bold;
}

.filter-area {
    padding: 20px;
    background-color: white;
    border: 1px solid #dfdfdf
}

.parametric-table thead tr th {
    background-color: #e3e3e3 !important;
}

.modal-content {
    padding: 15px;
}

i.bi-x {
    font-size: 24px !important
}

.product-list-image {
    max-height: 100px;
}

.btn-modalclose {
}

.nav-link {
    cursor: pointer;
}

    .nav-link:hover {
        background-color: rgba(255,255,255,0.08);
    }

.ms-3 .nav-link {
    font-size: 0.9rem;
}

.b-img-w100 {
    max-width: 100%;
}

.xtop-row {
    height: 85px;
    align-items: center;
    background-color: whitesmoke;
    border-bottom: 1px solid silver;
}

    .xtop-row .company-name {
        font-size: 30px;
        font-weight: bold;
    }

.theme-designer-menu li {
    cursor: pointer;
    /*margin-bottom:2px;*/
    padding: 3px 12px;
    border-bottom: 1px solid silver;
}

    .theme-designer-menu li.selected {
        background-color: blue !important;
        /*border-radius:8px;*/
        color: white;
    }

.domain-info-menu {
    list-style: none;
    display: flex;
    padding: 0;
    justify-content: center;
    align-content: center;
    align-items: center;
}

    .domain-info-menu a {
        text-decoration: none;
    }

    .domain-info-menu .d1 img {
        height: 100%
    }

    .domain-info-menu .d2 img {
        display: none;
    }

    .domain-info-menu .d1 {
        border: 1px solid silver;
        padding: 1px;
        /*height: 30px;*/
        width: 100%;
        /*align-items: center;*/
        /*justify-content: center;*/
        /*align-content: flex-end;*/
        cursor: pointer;
        background-color: white;
        border-radius: 5px;
    }

    .domain-info-menu .d2 {
        /*border: 1px solid silver;*/
        padding: 3px;
        /*height: 30px;*/
        width: 100%;
        align-items: start;
        justify-content: start;
        align-content: flex-end;
        cursor: pointer;
        /*background-color: white;*/
        border-radius: 5px;
        display: flex;
    }

        .domain-info-menu .d2:before {
            /*content: '»';*/
            margin-right: 5px;
        }


        .domain-info-menu .d2:hover {
            background-color: royalblue;
            color: white;
        }

    .domain-info-menu .d1:hover {
        background-color: ghostwhite;
        color: white;
    }

    .domain-info-menu .d1 div {
        align-items: center;
        justify-content: center;
        align-content: center;
        justify-self: center;
    }


.image-add-new-area {
    display: flex;
    /*gap: 2px;*/
    max-height: 600px;
}

    .image-add-new-area .img {
        position: relative;
        width: 200px;
        border: 1px solid #ccc;
        padding: 5px;
    }

        .image-add-new-area .img .close {
            background-color: red;
            position: absolute;
            right: 5px;
            top: 5px;
            padding: 5px;
            cursor: pointer;
            border-radius: 50%;
            color: white;
            font-size: 10px;
        }

        .image-add-new-area .img .selected {
            font-size: 30px;
            position: absolute;
            left: 15px;
            top: 15px;
            padding: 5px;
            background-color: white;
            opacity: 0.8;
        }

    .image-add-new-area img {
        width: 100%;
        height: auto;
        cursor: pointer;
    }

    .image-add-new-area .footer {
        position: absolute;
        background-color: whitesmoke;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 5px;
        opacity: 50%;
    }



        .image-add-new-area .footer .alt {
            font-size: 12px;
            color: black;
        }

            .image-add-new-area .footer .alt span:first-child {
                color: darkred;
                font-weight: bold;
            }

        .image-add-new-area .footer .title {
            font-size: 12px;
            color: black;
        }

            .image-add-new-area .footer .title span:first-child {
                color: darkred;
                font-weight: bold;
            }

.image-list-area {
}

    .image-list-area .list {
    }

.image-catlist-area {
    border: 1px solid silver;
    padding: 10px;
    background-color: whitesmoke;
}

    .image-catlist-area div {
        padding: 5px;
        cursor: pointer;
    }

        .image-catlist-area div:hover {
            background-color: dodgerblue;
        }

.selected-image-area {
    background-color: whitesmoke;
    padding: 10px;
    border: 1px solid silver;
}

.card-profile-company .card-title {
    padding: 10px;
    color: darkblue;
    font-size: 16px;
}

.card-profile-company .card-body {
    padding: 10px;
    min-width: 250px;
    min-height: 300px;
}

.card-profile-company .card-footer {
    padding: 10px;
    justify-content: end;
    text-align: end;
}


.imagelist-menu-item {
    cursor: pointer;
    border-radius: 4px;
    padding: 4px 14px;
}

    .imagelist-menu-item:hover {
        background-color: lightblue;
    }

    .imagelist-menu-item:before {
        content: '»';
        margin-right: 5px;
    }



.side-panel {
    width: 260px;
    height: 100vh;
    background: #1e1e2d;
    color: #fff;
    padding: 0px;
}

.menu-item {
    margin-bottom: 5px;
}

.menu-header {
    display: flex;
    align-items: center;
    padding: 12px;
    cursor: pointer;
    border-radius: 6px;
    transition: background 0.2s;
}

    .menu-header:hover {
        background: #2b2b40;
    }

    .menu-header i {
        width: 25px;
    }

.arrow {
    margin-left: auto;
    transition: transform 0.2s;
}

    .arrow.open {
        transform: rotate(90deg);
    }

.submenu {
    padding-left: 20px;
    margin-top: 5px;
}

.submenu-item {
    display: block;
    padding: 8px;
    color: #bfbfd9;
    text-decoration: none;
    border-radius: 4px;
}

    .submenu-item:hover {
        background: #2b2b40;
        color: #fff;
    }


.menu-btn {
    text-decoration: none !important;
    color: white;
    border: 1px solid silver;
    padding: 9px 12px;
    cursor: pointer;
}

.image-map-area {
    border: 1px solid silver;
}

.image-map-primary {
    top: 5px;
    left: 5px;
    font-size: 26px;
    color: silver;
    font-weight: bold;
    cursor: pointer;
    padding: 3px;
}

    .image-map-primary.selected {
        color: green;
    }

.image-map-remove {
    font-size: 16px;
    color: red;
    font-weight: bold;
    cursor: pointer;
    padding: 10px;
}

.double-input {
    text-align: end;
}




@media print {

    html, body {
        height: auto !important;
        min-height: auto !important;
        overflow: visible !important;
    }

        body * {
            visibility: hidden !important;
        }

    #printArea,
    #printArea * {
        visibility: visible !important;
    }

    /* MODAL’I TAMAMEN NORMAL DIV’E ÇEVİR */
    .modal,
    .modal-dialog,
    .modal-content,
    .modal-body {
        position: static !important;
        height: auto !important;
        min-height: auto !important;
        max-height: none !important;
        overflow: visible !important;
        transform: none !important;
        margin: 0 !important;
        padding: 0 !important;
    }

    /* ARKA PLAN */
    .modal-backdrop {
        display: none !important;
    }

    /* PRINT ALANI */
    #printArea {
        position: relative !important;
        width: 100% !important;
        page-break-inside: avoid !important;
    }
}


.menupage-menulabel:hover {
    background-color: lightsteelblue
}

    .menupage-menulabel:hover button {
        display: block !important;
    }

.menupage-menulabel.selected {
    background-color: #dddddd
}

.menupage-menulabel {
    background-color: whitesmoke;
    width: 100%;
    margin-bottom: 2px;
    cursor: pointer;
    padding: 4px;
    border-radius: 4px;
    align-items: center;
}



.home-page {
    /*backgrohome-pageund-color: whitesmoke;*/
}

.home-right-panel {
    background-color: #f5f5f5;
    height: 100%;
    border-radius: 5px;
}

.home-modul-area {
    /*margin-top: 20px;*/
}

    .home-modul-area .link {
        padding: 10px;
    }

    .home-modul-area .bi {
        font-size: 26px;
        padding: 0;
    }

.main-modul-card {
    border: 1px solid silver;
    border-radius: 5px;
    background-color: white;
}

    .main-modul-card .header {
        border-bottom: 1px solid silver;
        padding: 18px;
        font-size: 18px;
        font-weight: bold
    }

    .main-modul-card .body {
        padding: 20px;
        font-size: 18px;
        min-height: 200px;
    }

    .main-modul-card .footer {
        padding: 20px;
        border-top: 1px solid silver;
    }

.home-back-btn {
    padding: 20px;
    color: yellow;
    border-bottom: 1px solid silver;
    margin-bottom: 10px;
}


.team-usermap-list .item {
    margin-bottom: 2px;
}

.user-select-list .item {
    padding: 4px;
    margin-bottom: 2px;
    border-bottom: 1px solid silver
}

    .user-select-list .item .title {
        width: 40%;
    }

    .user-select-list .item .phone {
        width: 30%;
    }

    .user-select-list .item .email {
        width: 30%;
    }

.badge-blue {
    background-color: blue;
    color: white;
}

.badge-color {
    padding: 6px;
    height: 2px;
    width: 2px;
}

.badge:empty {
    display: block !important;
}

.fullscreen {
    width: 100vw;
    height: 100vh;
}

.magic-page {
    height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center; /* yatay */
    align-items: center; /* dikey */
    gap: 10px;
    /* background-color: red;*/
}

.magic-block {
    display: flex;
    flex-direction: column;
    border-top: 1px solid silver;
    border-bottom: 1px solid silver;
    gap: 10px;
    max-width: 900px;
    gap: 10px;
    padding: 40px 70px;
    background-color: #fdfdfd;
}

.magic-card {
    background-color: floralwhite;
    padding: 30px;
}

.magic-100 .col div:first-child {
    /*border:1px solid silver;*/
}

.bi {
    height: 16px;
    width: 16px;
}

.cursor-pointer {
    cursor: pointer;
}

.bi-logo {
    font-size: 70px
}

.monaco-manager .title {
    font-weight: bold;
    margin-top: 10px;
}

.max-card {
    position: relative;
    border: 1px solid silver;
    /*border-radius:10px;*/
}

    .max-card .title {
        font-weight: bold;
    }

    .max-card .head {
        padding: 10px;
        /*border-bottom: 1px solid silver;*/
        background-color: crimson;
        color: white
    }

    .max-card .body {
        padding: 10px;
        border-bottom: 1px solid silver;
    }

    .max-card .foot {
        padding: 10px;
        border-top: 1px solid silver;
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: white;
        opacity: 0.9
    }


.max-list {
}

    .max-list .action {
        display: none;
    }

    .max-list .item {
        padding: 5px 20px;
        cursor: pointer;
        border-radius: 10px;
    }

        .max-list .item:hover {
            background-color: #efefef;
        }

            .max-list .item:hover .action {
                display: inline-block;
            }



.bootstrap-icon-list-in-designer {
    display: flex;
    flex-wrap: wrap;
    gap: 2px;
    padding: 5px;
}

    .bootstrap-icon-list-in-designer div:first-child {
        width: 40px;
        height: 40px;
        cursor: pointer;
        border: 1px solid silver;
        align-content: center;
        text-align: center;
    }

.setting-menu-routelist {
    background-color: white;
    border: 1px solid silver;
    border-radius: 10px;
    padding: 15px;
}

.setting-menu-btn-list {
    background-color: white;
    border: 1px solid silver;
    border-radius: 10px;
    padding: 15px;
}

    .setting-menu-btn-list ul, li {
        padding: 0;
        list-style: none;
    }

    .setting-menu-btn-list .title {
        font-weight: bold;
        margin-bottom: 10px;
        border-bottom: 1px solid silver;
        padding: 0 0 10px 0;
    }

    .setting-menu-btn-list button {
        border: 1px solid transparent;
        margin-bottom: 2px;
        width: 100%;
        background-color: transparent;
        /*height: 30px;*/
        text-align: left;
        padding: 6px 10px 6px 10px;
        display: flex;
        justify-content: space-between;
    }

        .setting-menu-btn-list button img {
            width: 10px;
            height: 10px;
        }

        .setting-menu-btn-list button:hover {
            border: 1px solid silver;
            background-color: cornflowerblue;
            color: white;
        }

.menu-domain-name {
    color: yellow;
    /*background-color:white;*/
    padding: 10px 0;
}

.nav-subitem {
}

.designer-toolbar {
    position: relative;
    background-color: navy;
    padding: 15px;
    gap: 5px;
}

    .designer-toolbar .btn {
        border: 1px solid silver;
        color: white;
        margin: 2px;
        cursor: pointer;
    }

.page-in-section-footer {
    margin-top: 15px;
    padding: 20px 0 0;
    border-top: 1px solid silver;
}

.designer-binding-template .btmp-001 {
}

    .designer-binding-template .btmp-001 .title {
        font-size: 1.4rem;
    }

    .designer-binding-template .btmp-001 .img {
        width: 100%;
        height: 100px;
        border: 1px solid silver;
    }

    .designer-binding-template .btmp-001 .buttons {
        display: flex;
        gap: 5px;
        margin-top: 20px;
    }



.app-checkout .product-list {
    background-color: #f9f7f7;
    padding: 15px;
    border-radius: 5px;
    border: 1px solid silver;
}

    .app-checkout .product-list table {
        width: 100%;
    }

        .app-checkout .product-list table tr {
            border-bottom: 1px solid silver;
        }

        .app-checkout .product-list table .product-name {
            font-weight: 500;
        }

        .app-checkout .product-list table .basket-price {
            width: 80px;
            text-align: end;
        }

        .app-checkout .product-list table .action {
            width: 40px;
            text-align: end;
            cursor: pointer;
            color: red;
        }

    .app-checkout .product-list .footer {
        width: 100%;
        margin-top: 20px;
        /*border-top:1px solid silver;*/
        padding: 10px 0;
        text-align: end;
        font-weight: bold;
    }

.app-checkout .informations {
    background-color: #f9f7f7;
    padding: 15px;
    border-radius: 5px;
    border: 1px solid silver;
}

.app-checkout .informations .footer {
    width: 100%;
    margin-top: 50px;
    border-top: 1px solid silver;
    padding: 10px 0;
    text-align: end;
    font-weight: bold;
}

.app-checkout .step-title {
    width: 100%;
    border-bottom: 1px solid silver;
    margin-bottom: 30px;
    font-weight: bold;
    padding: 10px 0;
}

.app-checkout .payment-type-area {
    width: 100%;
    border: 1px solid silver;
    margin-top: 20px;
    border-radius: 5px;
    padding: 15px;
}

.app-checkout .payment-buttons {
    display: flex;
    gap: 8px;
}

    .app-checkout .payment-buttons .btn-payment-type {
        background-color: silver;
        padding: 5px 15px;
        border-radius: 5px;
        cursor: pointer;
    }

        .app-checkout .payment-buttons .btn-payment-type.selected {
            background-color: gray;
            color: white;
        }

.app-checkout .payment-type-area .eft .description {
    font-weight: 600;
}

.app-checkout .payment-type-area .eft .eft-account-info {
    font-size: 1.3rem;
    background-color: #efefef;
    margin: 15px 0;
    padding: 15px 5px;
    color: black
}

.app-checkout .payment-type-area .eft .eft-account-info .eft-name {
    font-size: 1.1rem;
}

.app-checkout .payment-type-area .eft .eft-code {
    color: blue;
}
.app-checkout .eft-code .code {
    color: red;
    font-weight: bold !important;
}

.app-checkout .payment-type-area .payment-buttons .btn-payment-type {
    background-color: silver;
    padding: 5px 15px;
    border-radius: 5px;
    cursor: pointer;
}


.app-checkout .order-success .title {
    font-size: 2rem;
    font-weight: 500;
    text-align: center;
    background-color: orangered;
    color: white;
    padding: 20px;
    border-radius: 5px;
}
.app-checkout .order-success .subtitle {
    font-size: 1.5rem;
    font-weight: 500;
    text-align: center;
    /*background-color: orangered;*/
    color: black;
    padding: 20px;
    border-radius: 5px;
    margin-top: 20px;
}

.app-checkout .order-success .track {
    text-align:center;
}
.app-checkout .order-success .track span {
    font-size: 3rem;
    font-weight: 500;
    background-color: white;
    text-align: center;
    margin-top: 0px;
    padding: 10px 30px ;
    color: orangered;
    border:2px solid orangered;
    border-radius:5px;
    text-align:center;
}

.app-checkout .basket-list-empty-area {
    font-size:1.2rem;
    text-align: center;
    margin:30px 0 0 0; 
}

.app-checkout .basket-list-empty-area a {
    text-decoration:underline;
    color:blue;
}

.footer-info{
    text-align:center;
    color:lightgray;
    font-size:0.8rem;
}